<cfcomponent>

	<cfset this.name = "cfgroovy_" & listLast(getDirectoryFromPath(getCurrentTemplatePath()), "/\") />

	<cfinclude template="../../groovyEngine/udf_buildcfgroovy.cfm" />

	<cffunction name="onRequestStart">
		<cfif NOT structKeyExists(application, "cfgroovy") OR structKeyExists(url, "reload")>
			<cfif structKeyExists(application, "cfgroovy")>
				<!---
				close the existing one before opening a new one
				--->
				<cfset application.cfgroovy.close() />
			</cfif>
			<cfset application.cfgroovy = buildCfGroovy() />
			<cfset application.cfgroovy.setPath(getDirectoryFromPath(getCurrentTemplatePath()) & "groovy") />
		</cfif>
	</cffunction>
	
	
	
	<cffunction name="onApplicationEnd">
		<cfargument name="appScope" />
		<cfif structKeyExists(appScope, "cfgroovy")>
			<!---
			close runtime when exiting
			--->
			<cfset appScope.cfgroovy.close() />
		</cfif>
	</cffunction>

</cfcomponent>