<cfimport prefix="g" taglib="../../groovyEngine/tags" />

<g:setPath path="#getDirectoryFromPath(getCurrentTemplatePath())#groovy" />

<cfset variables.myArray = listToArray("barney,heather,lindsay") />

<cfoutput>
<h1>Externalized Groovy</h1>

<p>This is the same functionality as the "Inline Groovy" example, but
packaged differently.  This time we have a Groovy path configured with
the <code>&lt;g:setPath&gt;</code> tag, and then a filename reference in
the <code>&lt;g:script&gt;</code> instead of inline Groovy.
</p>

<p>Because of the use of <code>&lt;g:setPath&gt;</code>, we have to
explicitly close the Groovy runtime using the <code>&lt;g:close&gt;</code>
tag at the end of the request.  The runtime is created every request,
so it has the same performance ramifications as the inline model.
</p>

<p>Note that you can combine inline scripts with classes on the Groovy
path; you're not limited to scripts on the path.
</p>

<h1>No Emery</h1>
<cfdump var="#variables.myArray#" />

<g:script name="add_emery.groovy" />

<h1>There He Is!</h1>
<cfdump var="#variables.myArray#" />
</cfoutput>

<g:close />