<cfimport prefix="g" taglib="../../groovyEngine/tags" />

<cfset variables.myArray = listToArray("barney,heather,lindsay") />

<cfoutput>
<h1>Managed Runtime</h1>

<p>Another version of the "Inline Groovy" example, this time with an
explicitly managed Groovy runtime.  The Groovy runtime is instantiated
into the application scope once, and then used across all requests.
</p>

<p>If you put your runtime at <code>application.cfgroovy</code>, the
<code>&lt;g:script&gt;</code> tag will automatically use it.  If it's
somewhere else, you must explicitly pass it via the <code>cfgroovy</code>
attribute of <code>&lt;g:script&gt;</code>, or you'll revert to the
basic inline model, where a new runtime is implicitly created.
</p>
	
<h1>No Emery</h1>
<cfdump var="#variables.myArray#" />

<g:script>
// better add emery
variables.myArray.add("emery")
</g:script>

<h1>There He Is!</h1>
<cfdump var="#variables.myArray#" />
</cfoutput>
