<cfset self = getPageContext().getRequest().getContextPath() & cgi.script_name />
<cfset dir = getDirectoryFromPath(self) />
<cfset list = dir & "list.cfm" />

<cfoutput>
<h1>User List (Annotated)</h1>
<p>This is a very simple user management app that leverages annotated
Groovy classes as the Hibernate-managed entities.  In this case, the
annotations are the base JPA annotations, but the Hibernate extensions
to JPA can be used as well.
</p>

<p><strong>There is no XML anywhere</strong>; Hibernate is entirely
configured via setting properties on the plugin.  In this case I'm
doing it programmatically in <code>Application.cfc</code>, but in the
real world ColdSpring would be a better solution. 
</p>

<p>The database connectivity is all provided by the CFML runtime's
standard datasources.  Just set the <code>coldFusionDsn</code> property
on the plugin and it will take care of the rest (using the service factory
which is supported by both ColdFusion and Railo).
</p>

<p>If you prefer/require, Hibernate can still be configured using the standard
<code>hibernate.cfg.xml</code> file, along with HBM files for individual
entities.  You can also supply database connection information in this way
instead of using a CF DSN.  You can even mix and match both forms of
configuration.
</p>

<iframe width="100%" height="98%" src="#list#"></iframe>
</cfoutput>